Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 535888 - games-fps/enemy-territory-2.60b-r1 stable request
Summary: games-fps/enemy-territory-2.60b-r1 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: multilib-stable
  Show dependency tree
 
Reported: 2015-01-07 09:55 UTC by Pacho Ramos
Modified: 2015-02-01 11:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2015-01-07 09:55:20 UTC
Needed for updated multilib deps

Thanks
Comment 1 Mr. Bones. (RETIRED) gentoo-dev 2015-01-07 10:10:08 UTC
repoman has come complaints that should be dealt with first:

  dependency.badindev           12
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND: ~x86(default/linux/uclibc/x86) ['sys-libs/glibc']
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND: ~x86(hardened/linux/uclibc/x86) ['sys-libs/glibc']
  dependency.badmasked          2
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND: ~amd64(hardened/linux/amd64/no-multilib) ['sys-libs/glibc[multilib]']
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND: ~amd64(hardened/linux/amd64/no-multilib/selinux) ['sys-libs/glibc[multilib]']
  dependency.badmaskedindev     3
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND: ~amd64(default/linux/amd64/13.0/no-multilib) ['sys-libs/glibc[multilib]']
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND: ~amd64(default/linux/uclibc/amd64) ['sys-libs/glibc[multilib]']
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND: ~amd64(hardened/linux/uclibc/amd64) ['sys-libs/glibc[multilib]']
  dependency.unknown            1
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND: app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)], app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)]
Comment 2 Pacho Ramos gentoo-dev 2015-01-07 10:41:22 UTC
From some reason I don't get the *badindev warnings... I get this:
>>> Creating Manifest for /home/pacho/gentoo-x86/games-fps/enemy-territory
  dependency.badmasked          2
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND: ~amd64(hardened/linux/amd64/no-multilib) ['sys-libs/glibc[multilib]']
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND: ~amd64(hardened/linux/amd64/no-multilib/selinux) ['sys-libs/glibc[multilib]']
  dependency.unknown            1
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND: app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)], app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)]
  ebuild.badheader              1
   games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: Invalid Gentoo Copyright on line: 1
  repo.eapi.deprecated          1
   games-fps/enemy-territory/enemy-territory-2.60b.ebuild: 0

Maybe your local tree is missing:
  22 Oct 2014; Ian Stakenvicius <axs@gentoo.org>
  default/linux/uclibc/amd64/package.mask:
  Duplicate package.mask from features/64bit-native to
  uclibc/amd64 with blessings of blueness


About the remaining warnings, they should be harmless if I don't misremember, but I will CC multilib team as I am nearly sure we have seen that kind of warnings many other times
Comment 3 Pacho Ramos gentoo-dev 2015-01-07 10:52:52 UTC
@Mr._Bones just notified me that the problem is that I don't run repoman with -d... looks like that uclibc profiles need some "multilib love"
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-01-14 14:41:35 UTC
(In reply to Mr. Bones. from comment #1)
> repoman has come complaints that should be dealt with first:
> 
>   dependency.badindev           12
>    games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND:
> ~x86(default/linux/uclibc/x86) ['sys-libs/glibc']
>    games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND:
> ~x86(hardened/linux/uclibc/x86) ['sys-libs/glibc']

Those were there before, and don't affect stable/testing anyway, so shouldn't concern stabilization. Anyway, the solution is simple: mask it in uclibc profiles since it needs glibc.

>   dependency.badmasked          2
>    games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND:
> ~amd64(hardened/linux/amd64/no-multilib) ['sys-libs/glibc[multilib]']
>    games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND:
> ~amd64(hardened/linux/amd64/no-multilib/selinux) ['sys-libs/glibc[multilib]']
>   dependency.badmaskedindev     3
>    games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND:
> ~amd64(default/linux/amd64/13.0/no-multilib) ['sys-libs/glibc[multilib]']
>    games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND:
> ~amd64(default/linux/uclibc/amd64) ['sys-libs/glibc[multilib]']
>    games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND:
> ~amd64(hardened/linux/uclibc/amd64) ['sys-libs/glibc[multilib]']

It's masked in all those profiles, so it's fine.

>   dependency.unknown            1
>    games-fps/enemy-territory/enemy-territory-2.60b-r1.ebuild: RDEPEND:
> app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)],
> app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)]

This is a portage bug.
Comment 5 Agostino Sarubbo gentoo-dev 2015-01-31 17:51:21 UTC
amd64 stable
Comment 6 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-02-01 11:50:34 UTC
x86 stable.